//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Web.UI;

using CommunityServer.Components;
using CommunityServer.Controls;

namespace CommunityServer.Discussions.Controls
{
    // *********************************************************************
    //  DisplayLegendThread
    //
    /// <summary>
    /// This server control is used to display the Thread Legend
    /// </summary>
    // ***********************************************************************/
    public class DisplayLegendThread : TemplatedWebControl
    {
        #region Member vars

        CSContext csContext = CSContext.Current;

        #endregion

        protected override void OnInit(EventArgs e) 
        {
            if (SkinName == null)                
                ExternalSkinFileName = "Skin-DisplayLegendThread.ascx";
            else 
                ExternalSkinFileName = SkinName;
			
            base.OnInit(e);
        }
		
        protected override void OnLoad(EventArgs e) 
        {
            if (!Page.IsPostBack)
                DataBind();

            base.OnLoad(e);
        }

        #region DataBind

        public override void DataBind() 
        {
            base.DataBind();
            
            // Bind data
            //
        }
		
        #endregion		
		
        #region Skin
                
        protected override void AttachChildControls() 
        {
            // Bind controls
            //
			
        }

        #endregion
    }
}
